Summary:	Caja extension for customizing the context menu
Name:		caja-actions
Version:	1.6.2
Release:	2%{?dist}
Group:		User Interface/Desktops
License:	GPLv2+ and LGPLv2+

# upstream is located at github, but links from tag releases doesn't match copied link in
# web-browser, in result fedora-rewiew-tool will fail.
# so i decided to release on fedorapeople to have a valid download link
URL:		https://github.com/NiceandGently/caja-actions
Source0:	http://raveit65.fedorapeople.org/Mate/SOURCE/%{name}-%{version}.tar.gz

%if 0%{?fedora} > 20
BuildRequires:	caja-devel
%else
BuildRequires:	mate-file-manager-devel
%endif
BuildRequires:	libuuid-devel
BuildRequires:	libSM-devel
BuildRequires:	unique-devel
BuildRequires:	mate-common
BuildRequires:	libxml2-devel
BuildRequires:	mate-doc-utils
BuildRequires:	libgtop2-devel

Requires:       %{name}-doc = %{version}-%{release}


%description
Caja actions is an extension for Caja, the MATE file manager.
It provides an easy way to configure programs to be launch on files 
selected in Caja interface

%package doc
Summary:	Documentations for %{name}
Group:		Documentation
BuildArch:  noarch

%description doc
This package contains the documentation for %{name}

%package	devel
Summary:	Development tools for the caja-actions
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
This package contains headers and shared libraries needed for development
with caja-actions.

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure \
	--with-gtk=2 \
    --disable-scrollkeeper \
    --enable-html-manuals=gdt

make %{?_smp_mflags} 

%install
%{make_install}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'

# clean docs dirs
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/INSTALL
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ChangeLog-2008
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ChangeLog-2009
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ChangeLog-2010
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ChangeLog-2011
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/MAINTAINERS

# move doc dir for > f19
%if 0%{?fedora} > 19
mv -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} \
$RPM_BUILD_ROOT%_pkgdocdir
%endif

%find_lang %{name}


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/cact.desktop


%post
/sbin/ldconfig
/usr/bin/touch --no-create %{_datadir}/icons/hicolor || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%{_bindir}/caja-actions-run
%{_bindir}/caja-actions-config-tool
%{_bindir}/caja-actions-new
%{_bindir}/caja-actions-print
%{_libexecdir}/caja-actions/
%{_libdir}/caja-actions/
%{_libdir}/caja/extensions-2.0/libcaja-actions-menu.so
%{_libdir}/caja/extensions-2.0/libcaja-actions-tracker.so
%{_datadir}/caja-actions/
%{_datadir}/icons/hicolor/*/apps/caja-actions.*
%{_datadir}/applications/cact.desktop

%files doc
%doc AUTHORS COPYING COPYING-DOCS ChangeLog NEWS README
%{_datadir}/mate/help/caja-actions-config-tool/
%{_datadir}/gtk-doc/html/caja-actions-3/
%{_datadir}/omf/caja-actions-config-tool/
%if 0%{?fedora} > 19
%{_docdir}/caja-actions/html/
%{_docdir}/caja-actions/pdf/
%{_docdir}/caja-actions/objects-hierarchy.odg
%{_docdir}/caja-actions/AUTHORS
%{_docdir}/caja-actions/COPYING
%{_docdir}/caja-actions/COPYING-DOCS
%{_docdir}/caja-actions/ChangeLog
%{_docdir}/caja-actions/NEWS
%{_docdir}/caja-actions/README
%else
%{_docdir}/caja-actions-%{version}/html/
%{_docdir}/caja-actions-%{version}/pdf/
%{_docdir}/caja-actions-%{version}/objects-hierarchy.odg
%{_docdir}/caja-actions-%{version}/AUTHORS
%{_docdir}/caja-actions-%{version}/COPYING
%{_docdir}/caja-actions-%{version}/COPYING-DOCS
%{_docdir}/caja-actions-%{version}/ChangeLog
%{_docdir}/caja-actions-%{version}/NEWS
%{_docdir}/caja-actions-%{version}/README
%endif

%files devel
%{_includedir}/caja-actions/


%changelog
* Wed Dec 18 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-2
- update for rename caja in f21

* Sat Aug 17 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-1
- update to 1.6.2
- fix wrong-file-end-of-line-encoding in COPYING-DOCS
- remove obsolete sed command to fix desktop file

* Fri Aug 16 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-2
- move doc dirs to a -doc subpackage

* Thu Aug 15 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-1
- update to 1.6.1 release
- improve debug usage
- remove require hicolor-icon-theme
- fix bogus date in changelog

* Thu Nov 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-1
- removal of mate-conf usage
- add require hicolor-icon-theme

* Wed Nov 21 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.0-0101
- update version to 1.5.0
- disable mateconf
- remove desktop file fixes
- change configure flags
- update BR
- build against official fedora mate-desktop
- remove epoch

* Fri Nov 16 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-0102
- testbuild
- build for fedora
- add libxml2-devel BR

* Mon Nov 05 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-0101
- add epoch

* Thu Oct 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-0100
- udate vsersion to 1.4.0
- fix desktop files

* Mon Aug 27 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-0100
- build for f18

* Tue Aug 14 2012 Wolfgang Ulbrich <chat-to@raveit.de> - 1.2.0-2
- switch to mate-filemanager

* Sat Apr 07 2012 Wolfgang Ulbrich <chat-to@raveit.de> - 1.2.0-1
- rename nact to cact

* Tue Mar 27 2012 Wolfgang Ulbrich <chat-to@raveit.de> - 1.1.0-2
- fix dso linking ICE error for fc17

* Sun Feb 12 2012 Wolfgang Ulbrich <chat-to@raveit.de> - 1.1.0-1
- change version to mate release version

* Wed Jan 04 2012 Wolfgang Ulbrich <chat-to@raveit.de> - 2.30.3-1
- start building for the MATE-Desktop
- caja-actions.spec based on nautilus-actions-2.30.3-1.fc14 spec

